VLC for Mac OS X - VideoLAN,Devices and Mac OS X version. VLC media player requires Mac OS X 10.7.5 or later. It runs on any 64bit Intel-based Mac. Previous devices are supported by ...